mia-2dimagecombiner
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagecombiner

#### Sysnopis:

`mia-2dimagecombiner` {-1 `io`} {-2 `io`} {-o `io`} [ `options` ...]

#### Description:

Combine two image by a given operation.

#### Options:

-1, --in-file-1=(input, required); io

  first input image to be combined. For supported file types see Plugin type: 2dimage/io

-2, --in-file-2=(input, required); io

  second input image to be combined. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  output image(s) that have been filtered. For supported file types see Plugin type: 2dimage/io

-p, --operation=absdiff; factory

  operation to be applied. For supported plug-ins see Plugin type: 2dimage/combiner

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Combine image A.exr and image B.exr by adding the intensity values and save the output to sum.exr.

    mia-2dimagecombiner -i A.exr -r B.exr -o sum.exr -p add

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimagecombine-dice | Home | mia-2dimagecreator